%define	pkgname	libspf2
%define pkgver	1.2.9
%define lib	%{pkgname}
%define	soname	%{lib}-2

Name:		%{soname}
Version:	%{pkgver}
Release:	4.1
License:	GPL
Url:		http://www.libspf2.org/
Group:		System
Summary:	Sender Policy Framework
Source0:	http://www.libspf2.org/spf/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
libspf2 implements the Sender Policy Framework, a part of the SPF/SRS protocol pair.
libspf2 is a library which allows email systems such as Sendmail, Postfix, Exim, Zmailer and MS Exchange
to check SPF records and make sure that the email is authorized by the domain name that it is coming from.
This prevents email forgery, commonly used by spammers, scammers and email viruses/worms. 


%package -n %{pkgname}-devel
Group:		System/Development
Summary:	SPF devel files
Requires:	%{soname}

%description -n %{pkgname}-devel
Development files for libspf2.

%package -n %{pkgname}
Group:		System
Summary:	SPF tools
Requires:	%{soname}

%description -n %{pkgname}
SPF Tools from libspf2.

%prep
%setup -n %{pkgname}-%{pkgver}

%build
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
ac_cv_func___ns_get16=no
export ac_cv_func___ns_get16
%endif
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/%{pkgname}.so.2.1.0

%files -n %{pkgname}-devel
%defattr(-,root,root)
%{_libdir}/%{pkgname}.so.2
%{_libdir}/%{pkgname}.so
%{_libdir}/%{pkgname}.la
%{_libdir}/%{pkgname}.a
%dir %{_includedir}/spf2
%{_includedir}/spf2/*.h

%files -n %{pkgname}
%defattr(-,root,root)
%{_bindir}/spf*

%changelog
* Sat Aug 07 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2.9-1
- initial build
